Name:          gpsbabel
Version:       1.3.6
Release:       1%{?dist}
Summary:       A tool to convert between various formats used by GPS devices

Group:         Applications/Text
License:       GPLv2+
URL:           http://www.gpsbabel.org
# source can be downloaded from the following URL:
# http://www.gpsbabel.org/plan9.php?dl=%{name}-%{version}.tar.gz
Source0:       %{name}-%{version}.tar.gz
Patch0:        gpsbabel-1.3.5-autoconf.patch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: expat-devel
BuildRequires: libusb-devel
BuildRequires: zlib-devel

%description
Converts GPS waypoint, route, and track data from one format type
to another.


%prep
%setup -q
%patch0 -p1

# fix bad execute perms
%{__chmod} a-x *.c *.h


%build
%configure --with-zlib=system
make %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}%{_bindir}
%{__install} -m 755 -p gpsbabel %{buildroot}%{_bindir}/gpsbabel


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README* COPYING AUTHORS gpsbabel.html
%{_bindir}/gpsbabel


%changelog
* Wed Nov 05 2008 Douglas E. Warner <silfreed@silfreed.net> - 1.3.6-1
- update to 1.3.6

* Fri May 09 2008 Douglas E. Warner <silfreed@silfreed.net> - 1.3.5-1
- update to 1.3.5
- switching out variables for macros; adding macros for commands
- fixing license to be GPLv2+
- adding patch to fix re-running autoconf
- perserving times when installing gpsbabel

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.3.4-2
- Autorebuild for GCC 4.3

* Tue Dec 18 2007 Douglas E. Warner <silfreed@silfreed.net> - 1.3.4-1
- Update to 1.3.4

* Wed Apr 16 2007 Roozbeh Pournader <roozbeh@farsiweb.info> - 1.3.3-1
- Make first Fedora spec based on the one provided upstream
